IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network111.2.48.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
111.2.48.0- Broadcast address
111.2.63.255- First usable
111.2.48.1- Last usable
111.2.63.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
6F023000· Integer1862414336to1862418431 - Reverse DNS zones
48.2.111.in-addr.arpa49.2.111.in-addr.arpa50.2.111.in-addr.arpa51.2.111.in-addr.arpa52.2.111.in-addr.arpa53.2.111.in-addr.arpa54.2.111.in-addr.arpa55.2.111.in-addr.arpa56.2.111.in-addr.arpa57.2.111.in-addr.arpa58.2.111.in-addr.arpa59.2.111.in-addr.arpa60.2.111.in-addr.arpa61.2.111.in-addr.arpa62.2.111.in-addr.arpa63.2.111.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01101111.00000010.00110000.00000000 | 111.2.48.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 01101111.00000010.00110000.00000000 | 111.2.48.0 |
| Broadcast | 01101111.00000010.00111111.11111111 | 111.2.63.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
111.2.48.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 111.2.48.0/32 | 111.2.48.0 to 111.2.48.0 | — | 1 |
| 2 | 111.2.48.1/32 | 111.2.48.1 to 111.2.48.1 | — | 1 |
| 3 | 111.2.48.2/32 | 111.2.48.2 to 111.2.48.2 | — | 1 |
| 4 | 111.2.48.3/32 | 111.2.48.3 to 111.2.48.3 | — | 1 |
| 5 | 111.2.48.4/32 | 111.2.48.4 to 111.2.48.4 | — | 1 |
| 6 | 111.2.48.5/32 | 111.2.48.5 to 111.2.48.5 | — | 1 |
| 7 | 111.2.48.6/32 | 111.2.48.6 to 111.2.48.6 | — | 1 |
| 8 | 111.2.48.7/32 | 111.2.48.7 to 111.2.48.7 | — | 1 |
| 9 | 111.2.48.8/32 | 111.2.48.8 to 111.2.48.8 | — | 1 |
| 10 | 111.2.48.9/32 | 111.2.48.9 to 111.2.48.9 | — | 1 |
| 11 | 111.2.48.10/32 | 111.2.48.10 to 111.2.48.10 | — | 1 |
| 12 | 111.2.48.11/32 | 111.2.48.11 to 111.2.48.11 | — | 1 |
| 13 | 111.2.48.12/32 | 111.2.48.12 to 111.2.48.12 | — | 1 |
| 14 | 111.2.48.13/32 | 111.2.48.13 to 111.2.48.13 | — | 1 |
| 15 | 111.2.48.14/32 | 111.2.48.14 to 111.2.48.14 | — | 1 |
| 16 | 111.2.48.15/32 | 111.2.48.15 to 111.2.48.15 | — | 1 |
| 17 | 111.2.48.16/32 | 111.2.48.16 to 111.2.48.16 | — | 1 |
| 18 | 111.2.48.17/32 | 111.2.48.17 to 111.2.48.17 | — | 1 |
| 19 | 111.2.48.18/32 | 111.2.48.18 to 111.2.48.18 | — | 1 |
| 20 | 111.2.48.19/32 | 111.2.48.19 to 111.2.48.19 | — | 1 |
| 21 | 111.2.48.20/32 | 111.2.48.20 to 111.2.48.20 | — | 1 |
| 22 | 111.2.48.21/32 | 111.2.48.21 to 111.2.48.21 | — | 1 |
| 23 | 111.2.48.22/32 | 111.2.48.22 to 111.2.48.22 | — | 1 |
| 24 | 111.2.48.23/32 | 111.2.48.23 to 111.2.48.23 | — | 1 |
| 25 | 111.2.48.24/32 | 111.2.48.24 to 111.2.48.24 | — | 1 |
| 26 | 111.2.48.25/32 | 111.2.48.25 to 111.2.48.25 | — | 1 |
| 27 | 111.2.48.26/32 | 111.2.48.26 to 111.2.48.26 | — | 1 |
| 28 | 111.2.48.27/32 | 111.2.48.27 to 111.2.48.27 | — | 1 |
| 29 | 111.2.48.28/32 | 111.2.48.28 to 111.2.48.28 | — | 1 |
| 30 | 111.2.48.29/32 | 111.2.48.29 to 111.2.48.29 | — | 1 |
| 31 | 111.2.48.30/32 | 111.2.48.30 to 111.2.48.30 | — | 1 |
| 32 | 111.2.48.31/32 | 111.2.48.31 to 111.2.48.31 | — | 1 |
| 33 | 111.2.48.32/32 | 111.2.48.32 to 111.2.48.32 | — | 1 |
| 34 | 111.2.48.33/32 | 111.2.48.33 to 111.2.48.33 | — | 1 |
| 35 | 111.2.48.34/32 | 111.2.48.34 to 111.2.48.34 | — | 1 |
| 36 | 111.2.48.35/32 | 111.2.48.35 to 111.2.48.35 | — | 1 |
| 37 | 111.2.48.36/32 | 111.2.48.36 to 111.2.48.36 | — | 1 |
| 38 | 111.2.48.37/32 | 111.2.48.37 to 111.2.48.37 | — | 1 |
| 39 | 111.2.48.38/32 | 111.2.48.38 to 111.2.48.38 | — | 1 |
| 40 | 111.2.48.39/32 | 111.2.48.39 to 111.2.48.39 | — | 1 |
| 41 | 111.2.48.40/32 | 111.2.48.40 to 111.2.48.40 | — | 1 |
| 42 | 111.2.48.41/32 | 111.2.48.41 to 111.2.48.41 | — | 1 |
| 43 | 111.2.48.42/32 | 111.2.48.42 to 111.2.48.42 | — | 1 |
| 44 | 111.2.48.43/32 | 111.2.48.43 to 111.2.48.43 | — | 1 |
| 45 | 111.2.48.44/32 | 111.2.48.44 to 111.2.48.44 | — | 1 |
| 46 | 111.2.48.45/32 | 111.2.48.45 to 111.2.48.45 | — | 1 |
| 47 | 111.2.48.46/32 | 111.2.48.46 to 111.2.48.46 | — | 1 |
| 48 | 111.2.48.47/32 | 111.2.48.47 to 111.2.48.47 | — | 1 |
| 49 | 111.2.48.48/32 | 111.2.48.48 to 111.2.48.48 | — | 1 |
| 50 | 111.2.48.49/32 | 111.2.48.49 to 111.2.48.49 | — | 1 |
| 51 | 111.2.48.50/32 | 111.2.48.50 to 111.2.48.50 | — | 1 |
| 52 | 111.2.48.51/32 | 111.2.48.51 to 111.2.48.51 | — | 1 |
| 53 | 111.2.48.52/32 | 111.2.48.52 to 111.2.48.52 | — | 1 |
| 54 | 111.2.48.53/32 | 111.2.48.53 to 111.2.48.53 | — | 1 |
| 55 | 111.2.48.54/32 | 111.2.48.54 to 111.2.48.54 | — | 1 |
| 56 | 111.2.48.55/32 | 111.2.48.55 to 111.2.48.55 | — | 1 |
| 57 | 111.2.48.56/32 | 111.2.48.56 to 111.2.48.56 | — | 1 |
| 58 | 111.2.48.57/32 | 111.2.48.57 to 111.2.48.57 | — | 1 |
| 59 | 111.2.48.58/32 | 111.2.48.58 to 111.2.48.58 | — | 1 |
| 60 | 111.2.48.59/32 | 111.2.48.59 to 111.2.48.59 | — | 1 |
| 61 | 111.2.48.60/32 | 111.2.48.60 to 111.2.48.60 | — | 1 |
| 62 | 111.2.48.61/32 | 111.2.48.61 to 111.2.48.61 | — | 1 |
| 63 | 111.2.48.62/32 | 111.2.48.62 to 111.2.48.62 | — | 1 |
| 64 | 111.2.48.63/32 | 111.2.48.63 to 111.2.48.63 | — | 1 |
| 65 | 111.2.48.64/32 | 111.2.48.64 to 111.2.48.64 | — | 1 |
| 66 | 111.2.48.65/32 | 111.2.48.65 to 111.2.48.65 | — | 1 |
| 67 | 111.2.48.66/32 | 111.2.48.66 to 111.2.48.66 | — | 1 |
| 68 | 111.2.48.67/32 | 111.2.48.67 to 111.2.48.67 | — | 1 |
| 69 | 111.2.48.68/32 | 111.2.48.68 to 111.2.48.68 | — | 1 |
| 70 | 111.2.48.69/32 | 111.2.48.69 to 111.2.48.69 | — | 1 |
| 71 | 111.2.48.70/32 | 111.2.48.70 to 111.2.48.70 | — | 1 |
| 72 | 111.2.48.71/32 | 111.2.48.71 to 111.2.48.71 | — | 1 |
| 73 | 111.2.48.72/32 | 111.2.48.72 to 111.2.48.72 | — | 1 |
| 74 | 111.2.48.73/32 | 111.2.48.73 to 111.2.48.73 | — | 1 |
| 75 | 111.2.48.74/32 | 111.2.48.74 to 111.2.48.74 | — | 1 |
| 76 | 111.2.48.75/32 | 111.2.48.75 to 111.2.48.75 | — | 1 |
| 77 | 111.2.48.76/32 | 111.2.48.76 to 111.2.48.76 | — | 1 |
| 78 | 111.2.48.77/32 | 111.2.48.77 to 111.2.48.77 | — | 1 |
| 79 | 111.2.48.78/32 | 111.2.48.78 to 111.2.48.78 | — | 1 |
| 80 | 111.2.48.79/32 | 111.2.48.79 to 111.2.48.79 | — | 1 |
| 81 | 111.2.48.80/32 | 111.2.48.80 to 111.2.48.80 | — | 1 |
| 82 | 111.2.48.81/32 | 111.2.48.81 to 111.2.48.81 | — | 1 |
| 83 | 111.2.48.82/32 | 111.2.48.82 to 111.2.48.82 | — | 1 |
| 84 | 111.2.48.83/32 | 111.2.48.83 to 111.2.48.83 | — | 1 |
| 85 | 111.2.48.84/32 | 111.2.48.84 to 111.2.48.84 | — | 1 |
| 86 | 111.2.48.85/32 | 111.2.48.85 to 111.2.48.85 | — | 1 |
| 87 | 111.2.48.86/32 | 111.2.48.86 to 111.2.48.86 | — | 1 |
| 88 | 111.2.48.87/32 | 111.2.48.87 to 111.2.48.87 | — | 1 |
| 89 | 111.2.48.88/32 | 111.2.48.88 to 111.2.48.88 | — | 1 |
| 90 | 111.2.48.89/32 | 111.2.48.89 to 111.2.48.89 | — | 1 |
| 91 | 111.2.48.90/32 | 111.2.48.90 to 111.2.48.90 | — | 1 |
| 92 | 111.2.48.91/32 | 111.2.48.91 to 111.2.48.91 | — | 1 |
| 93 | 111.2.48.92/32 | 111.2.48.92 to 111.2.48.92 | — | 1 |
| 94 | 111.2.48.93/32 | 111.2.48.93 to 111.2.48.93 | — | 1 |
| 95 | 111.2.48.94/32 | 111.2.48.94 to 111.2.48.94 | — | 1 |
| 96 | 111.2.48.95/32 | 111.2.48.95 to 111.2.48.95 | — | 1 |
| 97 | 111.2.48.96/32 | 111.2.48.96 to 111.2.48.96 | — | 1 |
| 98 | 111.2.48.97/32 | 111.2.48.97 to 111.2.48.97 | — | 1 |
| 99 | 111.2.48.98/32 | 111.2.48.98 to 111.2.48.98 | — | 1 |
| 100 | 111.2.48.99/32 | 111.2.48.99 to 111.2.48.99 | — | 1 |
| 101 | 111.2.48.100/32 | 111.2.48.100 to 111.2.48.100 | — | 1 |
| 102 | 111.2.48.101/32 | 111.2.48.101 to 111.2.48.101 | — | 1 |
| 103 | 111.2.48.102/32 | 111.2.48.102 to 111.2.48.102 | — | 1 |
| 104 | 111.2.48.103/32 | 111.2.48.103 to 111.2.48.103 | — | 1 |
| 105 | 111.2.48.104/32 | 111.2.48.104 to 111.2.48.104 | — | 1 |
| 106 | 111.2.48.105/32 | 111.2.48.105 to 111.2.48.105 | — | 1 |
| 107 | 111.2.48.106/32 | 111.2.48.106 to 111.2.48.106 | — | 1 |
| 108 | 111.2.48.107/32 | 111.2.48.107 to 111.2.48.107 | — | 1 |
| 109 | 111.2.48.108/32 | 111.2.48.108 to 111.2.48.108 | — | 1 |
| 110 | 111.2.48.109/32 | 111.2.48.109 to 111.2.48.109 | — | 1 |
| 111 | 111.2.48.110/32 | 111.2.48.110 to 111.2.48.110 | — | 1 |
| 112 | 111.2.48.111/32 | 111.2.48.111 to 111.2.48.111 | — | 1 |
| 113 | 111.2.48.112/32 | 111.2.48.112 to 111.2.48.112 | — | 1 |
| 114 | 111.2.48.113/32 | 111.2.48.113 to 111.2.48.113 | — | 1 |
| 115 | 111.2.48.114/32 | 111.2.48.114 to 111.2.48.114 | — | 1 |
| 116 | 111.2.48.115/32 | 111.2.48.115 to 111.2.48.115 | — | 1 |
| 117 | 111.2.48.116/32 | 111.2.48.116 to 111.2.48.116 | — | 1 |
| 118 | 111.2.48.117/32 | 111.2.48.117 to 111.2.48.117 | — | 1 |
| 119 | 111.2.48.118/32 | 111.2.48.118 to 111.2.48.118 | — | 1 |
| 120 | 111.2.48.119/32 | 111.2.48.119 to 111.2.48.119 | — | 1 |
| 121 | 111.2.48.120/32 | 111.2.48.120 to 111.2.48.120 | — | 1 |
| 122 | 111.2.48.121/32 | 111.2.48.121 to 111.2.48.121 | — | 1 |
| 123 | 111.2.48.122/32 | 111.2.48.122 to 111.2.48.122 | — | 1 |
| 124 | 111.2.48.123/32 | 111.2.48.123 to 111.2.48.123 | — | 1 |
| 125 | 111.2.48.124/32 | 111.2.48.124 to 111.2.48.124 | — | 1 |
| 126 | 111.2.48.125/32 | 111.2.48.125 to 111.2.48.125 | — | 1 |
| 127 | 111.2.48.126/32 | 111.2.48.126 to 111.2.48.126 | — | 1 |
| 128 | 111.2.48.127/32 | 111.2.48.127 to 111.2.48.127 | — | 1 |
| 129 | 111.2.48.128/32 | 111.2.48.128 to 111.2.48.128 | — | 1 |
| 130 | 111.2.48.129/32 | 111.2.48.129 to 111.2.48.129 | — | 1 |
| 131 | 111.2.48.130/32 | 111.2.48.130 to 111.2.48.130 | — | 1 |
| 132 | 111.2.48.131/32 | 111.2.48.131 to 111.2.48.131 | — | 1 |
| 133 | 111.2.48.132/32 | 111.2.48.132 to 111.2.48.132 | — | 1 |
| 134 | 111.2.48.133/32 | 111.2.48.133 to 111.2.48.133 | — | 1 |
| 135 | 111.2.48.134/32 | 111.2.48.134 to 111.2.48.134 | — | 1 |
| 136 | 111.2.48.135/32 | 111.2.48.135 to 111.2.48.135 | — | 1 |
| 137 | 111.2.48.136/32 | 111.2.48.136 to 111.2.48.136 | — | 1 |
| 138 | 111.2.48.137/32 | 111.2.48.137 to 111.2.48.137 | — | 1 |
| 139 | 111.2.48.138/32 | 111.2.48.138 to 111.2.48.138 | — | 1 |
| 140 | 111.2.48.139/32 | 111.2.48.139 to 111.2.48.139 | — | 1 |
| 141 | 111.2.48.140/32 | 111.2.48.140 to 111.2.48.140 | — | 1 |
| 142 | 111.2.48.141/32 | 111.2.48.141 to 111.2.48.141 | — | 1 |
| 143 | 111.2.48.142/32 | 111.2.48.142 to 111.2.48.142 | — | 1 |
| 144 | 111.2.48.143/32 | 111.2.48.143 to 111.2.48.143 | — | 1 |
| 145 | 111.2.48.144/32 | 111.2.48.144 to 111.2.48.144 | — | 1 |
| 146 | 111.2.48.145/32 | 111.2.48.145 to 111.2.48.145 | — | 1 |
| 147 | 111.2.48.146/32 | 111.2.48.146 to 111.2.48.146 | — | 1 |
| 148 | 111.2.48.147/32 | 111.2.48.147 to 111.2.48.147 | — | 1 |
| 149 | 111.2.48.148/32 | 111.2.48.148 to 111.2.48.148 | — | 1 |
| 150 | 111.2.48.149/32 | 111.2.48.149 to 111.2.48.149 | — | 1 |
| 151 | 111.2.48.150/32 | 111.2.48.150 to 111.2.48.150 | — | 1 |
| 152 | 111.2.48.151/32 | 111.2.48.151 to 111.2.48.151 | — | 1 |
| 153 | 111.2.48.152/32 | 111.2.48.152 to 111.2.48.152 | — | 1 |
| 154 | 111.2.48.153/32 | 111.2.48.153 to 111.2.48.153 | — | 1 |
| 155 | 111.2.48.154/32 | 111.2.48.154 to 111.2.48.154 | — | 1 |
| 156 | 111.2.48.155/32 | 111.2.48.155 to 111.2.48.155 | — | 1 |
| 157 | 111.2.48.156/32 | 111.2.48.156 to 111.2.48.156 | — | 1 |
| 158 | 111.2.48.157/32 | 111.2.48.157 to 111.2.48.157 | — | 1 |
| 159 | 111.2.48.158/32 | 111.2.48.158 to 111.2.48.158 | — | 1 |
| 160 | 111.2.48.159/32 | 111.2.48.159 to 111.2.48.159 | — | 1 |
| 161 | 111.2.48.160/32 | 111.2.48.160 to 111.2.48.160 | — | 1 |
| 162 | 111.2.48.161/32 | 111.2.48.161 to 111.2.48.161 | — | 1 |
| 163 | 111.2.48.162/32 | 111.2.48.162 to 111.2.48.162 | — | 1 |
| 164 | 111.2.48.163/32 | 111.2.48.163 to 111.2.48.163 | — | 1 |
| 165 | 111.2.48.164/32 | 111.2.48.164 to 111.2.48.164 | — | 1 |
| 166 | 111.2.48.165/32 | 111.2.48.165 to 111.2.48.165 | — | 1 |
| 167 | 111.2.48.166/32 | 111.2.48.166 to 111.2.48.166 | — | 1 |
| 168 | 111.2.48.167/32 | 111.2.48.167 to 111.2.48.167 | — | 1 |
| 169 | 111.2.48.168/32 | 111.2.48.168 to 111.2.48.168 | — | 1 |
| 170 | 111.2.48.169/32 | 111.2.48.169 to 111.2.48.169 | — | 1 |
| 171 | 111.2.48.170/32 | 111.2.48.170 to 111.2.48.170 | — | 1 |
| 172 | 111.2.48.171/32 | 111.2.48.171 to 111.2.48.171 | — | 1 |
| 173 | 111.2.48.172/32 | 111.2.48.172 to 111.2.48.172 | — | 1 |
| 174 | 111.2.48.173/32 | 111.2.48.173 to 111.2.48.173 | — | 1 |
| 175 | 111.2.48.174/32 | 111.2.48.174 to 111.2.48.174 | — | 1 |
| 176 | 111.2.48.175/32 | 111.2.48.175 to 111.2.48.175 | — | 1 |
| 177 | 111.2.48.176/32 | 111.2.48.176 to 111.2.48.176 | — | 1 |
| 178 | 111.2.48.177/32 | 111.2.48.177 to 111.2.48.177 | — | 1 |
| 179 | 111.2.48.178/32 | 111.2.48.178 to 111.2.48.178 | — | 1 |
| 180 | 111.2.48.179/32 | 111.2.48.179 to 111.2.48.179 | — | 1 |
| 181 | 111.2.48.180/32 | 111.2.48.180 to 111.2.48.180 | — | 1 |
| 182 | 111.2.48.181/32 | 111.2.48.181 to 111.2.48.181 | — | 1 |
| 183 | 111.2.48.182/32 | 111.2.48.182 to 111.2.48.182 | — | 1 |
| 184 | 111.2.48.183/32 | 111.2.48.183 to 111.2.48.183 | — | 1 |
| 185 | 111.2.48.184/32 | 111.2.48.184 to 111.2.48.184 | — | 1 |
| 186 | 111.2.48.185/32 | 111.2.48.185 to 111.2.48.185 | — | 1 |
| 187 | 111.2.48.186/32 | 111.2.48.186 to 111.2.48.186 | — | 1 |
| 188 | 111.2.48.187/32 | 111.2.48.187 to 111.2.48.187 | — | 1 |
| 189 | 111.2.48.188/32 | 111.2.48.188 to 111.2.48.188 | — | 1 |
| 190 | 111.2.48.189/32 | 111.2.48.189 to 111.2.48.189 | — | 1 |
| 191 | 111.2.48.190/32 | 111.2.48.190 to 111.2.48.190 | — | 1 |
| 192 | 111.2.48.191/32 | 111.2.48.191 to 111.2.48.191 | — | 1 |
| 193 | 111.2.48.192/32 | 111.2.48.192 to 111.2.48.192 | — | 1 |
| 194 | 111.2.48.193/32 | 111.2.48.193 to 111.2.48.193 | — | 1 |
| 195 | 111.2.48.194/32 | 111.2.48.194 to 111.2.48.194 | — | 1 |
| 196 | 111.2.48.195/32 | 111.2.48.195 to 111.2.48.195 | — | 1 |
| 197 | 111.2.48.196/32 | 111.2.48.196 to 111.2.48.196 | — | 1 |
| 198 | 111.2.48.197/32 | 111.2.48.197 to 111.2.48.197 | — | 1 |
| 199 | 111.2.48.198/32 | 111.2.48.198 to 111.2.48.198 | — | 1 |
| 200 | 111.2.48.199/32 | 111.2.48.199 to 111.2.48.199 | — | 1 |
| 201 | 111.2.48.200/32 | 111.2.48.200 to 111.2.48.200 | — | 1 |
| 202 | 111.2.48.201/32 | 111.2.48.201 to 111.2.48.201 | — | 1 |
| 203 | 111.2.48.202/32 | 111.2.48.202 to 111.2.48.202 | — | 1 |
| 204 | 111.2.48.203/32 | 111.2.48.203 to 111.2.48.203 | — | 1 |
| 205 | 111.2.48.204/32 | 111.2.48.204 to 111.2.48.204 | — | 1 |
| 206 | 111.2.48.205/32 | 111.2.48.205 to 111.2.48.205 | — | 1 |
| 207 | 111.2.48.206/32 | 111.2.48.206 to 111.2.48.206 | — | 1 |
| 208 | 111.2.48.207/32 | 111.2.48.207 to 111.2.48.207 | — | 1 |
| 209 | 111.2.48.208/32 | 111.2.48.208 to 111.2.48.208 | — | 1 |
| 210 | 111.2.48.209/32 | 111.2.48.209 to 111.2.48.209 | — | 1 |
| 211 | 111.2.48.210/32 | 111.2.48.210 to 111.2.48.210 | — | 1 |
| 212 | 111.2.48.211/32 | 111.2.48.211 to 111.2.48.211 | — | 1 |
| 213 | 111.2.48.212/32 | 111.2.48.212 to 111.2.48.212 | — | 1 |
| 214 | 111.2.48.213/32 | 111.2.48.213 to 111.2.48.213 | — | 1 |
| 215 | 111.2.48.214/32 | 111.2.48.214 to 111.2.48.214 | — | 1 |
| 216 | 111.2.48.215/32 | 111.2.48.215 to 111.2.48.215 | — | 1 |
| 217 | 111.2.48.216/32 | 111.2.48.216 to 111.2.48.216 | — | 1 |
| 218 | 111.2.48.217/32 | 111.2.48.217 to 111.2.48.217 | — | 1 |
| 219 | 111.2.48.218/32 | 111.2.48.218 to 111.2.48.218 | — | 1 |
| 220 | 111.2.48.219/32 | 111.2.48.219 to 111.2.48.219 | — | 1 |
| 221 | 111.2.48.220/32 | 111.2.48.220 to 111.2.48.220 | — | 1 |
| 222 | 111.2.48.221/32 | 111.2.48.221 to 111.2.48.221 | — | 1 |
| 223 | 111.2.48.222/32 | 111.2.48.222 to 111.2.48.222 | — | 1 |
| 224 | 111.2.48.223/32 | 111.2.48.223 to 111.2.48.223 | — | 1 |
| 225 | 111.2.48.224/32 | 111.2.48.224 to 111.2.48.224 | — | 1 |
| 226 | 111.2.48.225/32 | 111.2.48.225 to 111.2.48.225 | — | 1 |
| 227 | 111.2.48.226/32 | 111.2.48.226 to 111.2.48.226 | — | 1 |
| 228 | 111.2.48.227/32 | 111.2.48.227 to 111.2.48.227 | — | 1 |
| 229 | 111.2.48.228/32 | 111.2.48.228 to 111.2.48.228 | — | 1 |
| 230 | 111.2.48.229/32 | 111.2.48.229 to 111.2.48.229 | — | 1 |
| 231 | 111.2.48.230/32 | 111.2.48.230 to 111.2.48.230 | — | 1 |
| 232 | 111.2.48.231/32 | 111.2.48.231 to 111.2.48.231 | — | 1 |
| 233 | 111.2.48.232/32 | 111.2.48.232 to 111.2.48.232 | — | 1 |
| 234 | 111.2.48.233/32 | 111.2.48.233 to 111.2.48.233 | — | 1 |
| 235 | 111.2.48.234/32 | 111.2.48.234 to 111.2.48.234 | — | 1 |
| 236 | 111.2.48.235/32 | 111.2.48.235 to 111.2.48.235 | — | 1 |
| 237 | 111.2.48.236/32 | 111.2.48.236 to 111.2.48.236 | — | 1 |
| 238 | 111.2.48.237/32 | 111.2.48.237 to 111.2.48.237 | — | 1 |
| 239 | 111.2.48.238/32 | 111.2.48.238 to 111.2.48.238 | — | 1 |
| 240 | 111.2.48.239/32 | 111.2.48.239 to 111.2.48.239 | — | 1 |
| 241 | 111.2.48.240/32 | 111.2.48.240 to 111.2.48.240 | — | 1 |
| 242 | 111.2.48.241/32 | 111.2.48.241 to 111.2.48.241 | — | 1 |
| 243 | 111.2.48.242/32 | 111.2.48.242 to 111.2.48.242 | — | 1 |
| 244 | 111.2.48.243/32 | 111.2.48.243 to 111.2.48.243 | — | 1 |
| 245 | 111.2.48.244/32 | 111.2.48.244 to 111.2.48.244 | — | 1 |
| 246 | 111.2.48.245/32 | 111.2.48.245 to 111.2.48.245 | — | 1 |
| 247 | 111.2.48.246/32 | 111.2.48.246 to 111.2.48.246 | — | 1 |
| 248 | 111.2.48.247/32 | 111.2.48.247 to 111.2.48.247 | — | 1 |
| 249 | 111.2.48.248/32 | 111.2.48.248 to 111.2.48.248 | — | 1 |
| 250 | 111.2.48.249/32 | 111.2.48.249 to 111.2.48.249 | — | 1 |
| 251 | 111.2.48.250/32 | 111.2.48.250 to 111.2.48.250 | — | 1 |
| 252 | 111.2.48.251/32 | 111.2.48.251 to 111.2.48.251 | — | 1 |
| 253 | 111.2.48.252/32 | 111.2.48.252 to 111.2.48.252 | — | 1 |
| 254 | 111.2.48.253/32 | 111.2.48.253 to 111.2.48.253 | — | 1 |
| 255 | 111.2.48.254/32 | 111.2.48.254 to 111.2.48.254 | — | 1 |
| 256 | 111.2.48.255/32 | 111.2.48.255 to 111.2.48.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |